Bitcoin Forum
May 26, 2018, 04:15:47 AM *
News: Latest stable version of Bitcoin Core: 0.16.0  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: [abrt] full crash report  (Read 683 times)
Piu3344
Newbie
*
Offline Offline

Activity: 22
Merit: 0


View Profile
November 03, 2015, 09:57:53 AM
 #1

Hi all,

I get a lot of these "full-crash" reports on my CentOS 7 box:

Code:
Message 145:
From user@localhost.localdomain  Sun Oct 18 02:30:50 2015
Return-Path: <user@localhost.localdomain>
X-Original-To: root@localhost
Delivered-To: root@localhost.localdomain
Date: Sun, 18 Oct 2015 02:30:49 +0200
From: user@localhost.localdomain
To: root@localhost.localdomain
Subject: [abrt] full crash report
User-Agent: Heirloom mailx 12.5 7/5/10
Content-Type: text/plain; charset=us-ascii
Status: R

time:           Mi 15 Jul 2015 13:42:54 CEST
cmdline:        python /usr/lib/armory/guardian.py 1225 1236
uid:            1000 (hlds)
abrt_version:   2.1.11
event_log:     
executable:     /usr/lib/armory/guardian.py
hostname:       data-server
kernel:         3.10.0-229.7.2.el7.x86_64
last_occurrence: 1445128247
pid:            1237
runlevel:       N 5
username:       hlds

backtrace:
:guardian.py:36:check_pid:AttributeError: 'module' object has no attribute 'error'
:
:Traceback (most recent call last):
:  File "/usr/lib/armory/guardian.py", line 94, in <module>
:    if not check_pid(pid_armory, proc_name_armory):
:  File "/usr/lib/armory/guardian.py", line 36, in check_pid
:    except psutil.error.NoSuchProcess:
:AttributeError: 'module' object has no attribute 'error'
:
...

But appart form those crash reports Armory seem to run without noticeable problems ...
Any ideas on what cause this ?
1527308147
Hero Member
*
Offline Offline

Posts: 1527308147

View Profile Personal Message (Offline)

Ignore
1527308147
Reply with quote  #2

1527308147
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1527308147
Hero Member
*
Offline Offline

Posts: 1527308147

View Profile Personal Message (Offline)

Ignore
1527308147
Reply with quote  #2

1527308147
Report to moderator
1527308147
Hero Member
*
Offline Offline

Posts: 1527308147

View Profile Personal Message (Offline)

Ignore
1527308147
Reply with quote  #2

1527308147
Report to moderator
1527308147
Hero Member
*
Offline Offline

Posts: 1527308147

View Profile Personal Message (Offline)

Ignore
1527308147
Reply with quote  #2

1527308147
Report to moderator
goatpig
Moderator
Legendary
*
Offline Offline

Activity: 1862
Merit: 1096

Armory Developer


View Profile
November 03, 2015, 11:43:08 AM
 #2

Did you install psutil?

This is the list of Python packages you need to run Armory:

Quote
pyqt4-dev-tools python-qt4 python-dev python-twisted python-psutil

Piu3344
Newbie
*
Offline Offline

Activity: 22
Merit: 0


View Profile
November 03, 2015, 05:24:01 PM
 #3

yes, all packages installed ... but I still get the messages
goatpig
Moderator
Legendary
*
Offline Offline

Activity: 1862
Merit: 1096

Armory Developer


View Profile
November 03, 2015, 05:30:46 PM
 #4

It fails to import error from psutil. I'm guessing the version of the package you got is old or maybe that class was deprecated. Replace

Code:
except psutil.error.NoSuchProcess:

with

Code:
except:

That ought to fix it.

Piu3344
Newbie
*
Offline Offline

Activity: 22
Merit: 0


View Profile
November 03, 2015, 09:03:50 PM
 #5

Well I assume the version: python-psutil-1.2.1-1.el7.x86_64 that comes with the distribution is too old.
Now I tried to install the recent 3.2.2 one, but I get:
Code:
pip install psutil
Requirement already satisfied (use --upgrade to upgrade): psutil in /usr/lib64/python2.7/site-packages
/usr/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
goatpig
Moderator
Legendary
*
Offline Offline

Activity: 1862
Merit: 1096

Armory Developer


View Profile
November 03, 2015, 11:16:23 PM
 #6

I wouldn't mess with unsupported packages. You should change the code as instructed instead. It's not critical to catch the exact exception since it will return False as a result.

Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!